Bug 665157 - considerable variation in gamma on different radeon cards with GL apps
Summary: considerable variation in gamma on different radeon cards with GL apps
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 14
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-22 22:47 UTC by Tom Horsley
Modified: 2018-04-11 18:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:26:03 UTC
Type: ---


Attachments (Terms of Use)
Bright screenshot from RV610 (desktop at work). (228.36 KB, image/png)
2010-12-22 22:48 UTC, Tom Horsley
no flags Details
Dim screenshot from RV410 (desktop at home) (216.62 KB, image/png)
2010-12-22 22:49 UTC, Tom Horsley
no flags Details
Xorg.0.log X log file (49.87 KB, text/plain)
2010-12-23 13:50 UTC, Tom Horsley
no flags Details
The dmesg command output from the same system. (88.46 KB, text/plain)
2010-12-23 13:50 UTC, Tom Horsley
no flags Details
The /var/log/messages from the same system. (77.67 KB, text/plain)
2010-12-23 13:51 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2010-12-22 22:47:21 UTC
Description of problem:

Comment 4 of bug 583319 shows the extreme case of darkness on a radeon
RV280 I have in one system. That was the first where I noticed this, but
now, I see the latest drivers on my RV410 have brought a distinct dimness
that did not exist on fedora 13 running the same hardware. My desktop
at work, with an RV610 still seems to retain the original briteness I
previously used to see on all the different radeon cards.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.Run "neverputt" compare the screens from different card displays.
2.
3.
  
Actual results:
too dim on some cards

Expected results:
Same on all cards

Additional info:
I'll attach a couple of screenshots taken on different systems.

Comment 1 Tom Horsley 2010-12-22 22:48:31 UTC
Created attachment 470323 [details]
Bright screenshot from RV610 (desktop at work).

Comment 2 Tom Horsley 2010-12-22 22:49:45 UTC
Created attachment 470325 [details]
Dim screenshot from RV410 (desktop at home)

Comment 3 Matěj Cepl 2010-12-23 12:19:55 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Tom Horsley 2010-12-23 13:50:17 UTC
Created attachment 470427 [details]
Xorg.0.log X log file

This is the requested X log file from the RV410 system (the dim one).

I don't have an xorg.conf file on this system, I'm using all defaults.

Comment 5 Tom Horsley 2010-12-23 13:50:52 UTC
Created attachment 470428 [details]
The dmesg command output from the same system.

Comment 6 Tom Horsley 2010-12-23 13:51:33 UTC
Created attachment 470429 [details]
The /var/log/messages from the same system.

Comment 7 Tom Horsley 2010-12-23 14:00:17 UTC
If you are interested, I can get these same files for the system mentioned in
bug 583319 (the RV280), but to get the files from my desktop at work (which
still has the nice bright image) will have to wait till January when I go
back to work again.

Possibly relevant tidbit: The system at work only has the 1 DVI output (I
think), where the two dim systems have S-video outputs (but they aren't
connected to anything).

Comment 8 Fedora End Of Life 2012-08-16 18:26:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.